# Interface methods for submodule: IdentityTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TransformProxy as _TransformProxy


# Interface methods for class: IdentityTransform
class IdentityTransformProxy(_TransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def TransformPoint(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, vector: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, vector: vnl_vector_fixed) -> vnl_vector_fixed:
		""""""
		...

	def TransformCovariantVector(self, vector: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, arg0: Sequence[float], jacobian) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToPosition(self, arg0: Sequence[float], jac: vnl_matrix_fixed) -> None:
		""""""
		...

	def GetInverse(self, inverseTransform) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def GetTransformCategory(self):
		""""""
		...

	def GetFixedParameters(self):
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def SetParameters(self, arg0) -> None:
		""""""
		...

